## org.apache.batik.util.gui
Class CSSMediaPanel.MediaListDataListener

    java.lang.Object
      org.apache.batik.util.gui.CSSMediaPanel.MediaListDataListener

All Implemented Interfaces:
  java.util.EventListener, javax.swing.event.ListDataListener

Enclosing class:
  CSSMediaPanel

protected class CSSMediaPanel.MediaListDataListener
extends java.lang.Object
implements javax.swing.event.ListDataListener

To manage data modifications in the media list.

Constructor Summary
`protected` `CSSMediaPanel.MediaListDataListener()`

Method Summary
`void` `contentsChanged(javax.swing.event.ListDataEvent e)`
`void` `intervalAdded(javax.swing.event.ListDataEvent e)`
`void` `intervalRemoved(javax.swing.event.ListDataEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CSSMediaPanel.MediaListDataListener

    protected CSSMediaPanel.MediaListDataListener()

Method Detail

### contentsChanged

    public void contentsChanged(javax.swing.event.ListDataEvent e)

  Specified by:
    `contentsChanged` in interface `javax.swing.event.ListDataListener`

### intervalAdded

    public void intervalAdded(javax.swing.event.ListDataEvent e)

  Specified by:
    `intervalAdded` in interface `javax.swing.event.ListDataListener`

### intervalRemoved

    public void intervalRemoved(javax.swing.event.ListDataEvent e)

  Specified by:
    `intervalRemoved` in interface `javax.swing.event.ListDataListener`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.